Subject: Re: bug#10742: further information

From: [email-masked] (Ludovic Courtès)
Date: Wed, 08 Feb 2012 14:51:13 +0100

Hi Alírio,

Alírio Eyng <[email-masked]> skribis:

> Trying to explain better:
> First I tried the default procedure(./configure;make;make install),
> this lead to an error like that while I trying opening the program.
> Second I tried others sources (snapshot,git), and I get the same error.
> Trying to isolate the problem I used the parameters and in all
> attempts I get an error alike except for 2 pararmeters
> (--disable-posix --disable-regex), which throwed error during the
> compilation. Then trying these parameters again will don't solve my
> problem.

OK, let’s stick to the default configure parameters for debugging
purposes.

> bash-4.1# locale
> LANG=en_US
> LC_CTYPE="en_US"
> LC_NUMERIC="en_US"
> LC_TIME="en_US"
> LC_COLLATE=C
> LC_MONETARY="en_US"
> LC_MESSAGES="en_US"
> LC_PAPER="en_US"
> LC_NAME="en_US"
> LC_ADDRESS="en_US"
> LC_TELEPHONE="en_US"
> LC_MEASUREMENT="en_US"
> LC_IDENTIFICATION="en_US"
> LC_ALL=

What do these commands return?

  guile -c '(setlocale LC_ALL "") (pk (fluid-ref %default-port-encoding))'
  guile -c '(setlocale LC_ALL "") (pk (port-encoding (current-output-port)))'

Thanks,
Ludo’.